<?php
/**
 * the template for displaying search result
 */

get_header(); 

$blog_sidebar = exhibz_option('blog_sidebar',3); 
$column = ($blog_sidebar == 1 || !is_active_sidebar('sidebar-1')) ? 'col-lg-8 mx-auto' : 'col-lg-8 col-md-12';


get_template_part( 'template-parts/banner/content', 'banner-blog' );

   $exhibz_layout = exhibz_option('exhibz_blog_layout','right');
   $exhibz_column = $exhibz_layout=="full" || !is_active_sidebar('sidebar-1')? 'col-lg-12' : 'col-lg-8 col-md-12';
?>


<section id="main-content" class="blog main-container" role="main">
	<div class="container">
		<div class="row">
      		<?php if($blog_sidebar == 2){
					get_sidebar();
			  	}
			?>

				<div class="<?php echo esc_attr($column);?>">
					<?php if ( have_posts() ) : ?>
						<div class="xs-page-header">
							<h2>
								<?php printf(esc_html__('Search Results for: %s', 'exhibz'), get_search_query()); ?>
							</h2>
							<?php
								// show author bio if exists
								if (get_the_author_meta('description')) {
									echo '<p>' . the_author_meta('description') . '</p>';
								}
							?>
						</div>

						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/blog/contents/content', get_post_format() ); ?>
						<?php endwhile; ?>

						<?php get_template_part( 'template-parts/blog/paginations/pagination', 'style1' ); ?>
					<?php else : ?>
						<?php get_template_part( 'template-parts/blog/contents/content', 'none' ); ?>
					<?php endif; ?>
				</div><!-- .col-md-8 -->

         <?php if($blog_sidebar == 3){
				get_sidebar();
			  }  ?>
		</div><!-- .row -->
	</div><!-- .container -->
</section><!-- #main-content -->
<?php get_footer(); ?>